Skip to main content
O&M Management/Tag Management APIs
GETTag Management APIsSince 0.6SynchronousAuth Required

Query User Tags

Query User Tags

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number, a globally unique identifier for the error, e.g., SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      The root error, the cause of the current error. This field is null if there is no root error

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      The resource UUID, uniquely identifying this resource

    • resourceUuidStringRequired

      User-specified resource UUID. If specified, the system will not randomly assign a UUID to this resource

    • resourceTypeStringRequired

      When creating a tag, the user must specify the resource type associated with the tag

    • tagStringRequired

      Tag string

    • typeStringRequired

      Reserved field. Do not use it

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/user-tags

/zstack/v1/user-tags

Operation ID

QueryUserTag

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/user-tags' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "ae4f2dd05a513e1e8d350d448c2071a9", "resourceType": "DiskOfferingVO", "tag": "for-large-DB", "type": "User", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history